Subject: bug#59109: 29.0.50; package-tests failing since feature/package+vc merge

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Nov 2022 21:42:54 +0200

> Cc: Philip Kaludercic <[email-masked]>
> Date: Mon, 07 Nov 2022 21:34:13 +0200
> From:  "Basil L. Contovounesios" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Several tests in test/lisp/emacs-lisp/package-tests.el have been failing
> on my end since the following commit:
> 
>   Merge branch 'feature/package+vc'
>   5fa2f11679 2022-11-04 18:57:45 +0100
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=5fa2f11679
> 
> The failures do not happen on the merge commit's first parent:
> 
>   * lisp/simple.el (function-documentation): Fix bug#59014
>   616aa23d8a 2022-11-04 11:59:51 -0400
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=616aa23d8a

I suggest to take a good look at the changes brought by the merge.
I've discovered today that this very merge caused us to lose the Local
variables section of etc/NEWS (didn't everybody notice Emacs is
suddenly visiting NEWS in Fundamental mode?).  This was certainly not
intended, so I wonder what other unintended changes we acquired
through that merge.  Maybe some of the failures you see have similar
causes.